package com.docus.server.dto.recovery.rcvsysparam;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import com.docus.server.enums.*;

import java.io.Serializable;
import java.util.Date;

/**
*
* 系统参数表 AddDTO
*
* @author AutoGenerator
* @since 2023-09-13
*/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value="AddRcvSysParamDTO对象", description="系统参数表")
public class AddRcvSysParamDTO implements Serializable {

    @ApiModelProperty(value = "主键")
    private Long id;

    @ApiModelProperty(value = "父主键")
    private Long parentId;

    @ApiModelProperty(value = "系统参数编号")
    private String paramCode;

    @ApiModelProperty(value = "系统参数名称")
    private String paramName;

    @ApiModelProperty(value = "系统参数说明，如说明参数值得格式要求")
    private String paramInfo;

    @ApiModelProperty(value = "系统参数值")
    private String paramValue;

    @ApiModelProperty(value = "系统参数分组")
    private String paramGroup;

    @ApiModelProperty(value = "排序号，用于分组内排序")
    private Integer sortNo;

    @ApiModelProperty(value = "是否需要加密，0：不需要，1：需要")
    private String needEncrypt;

    @ApiModelProperty(value = "入库时间")
    private Date createTime;

    @ApiModelProperty(value = "入库更新时间")
    private Date updateTime;


}
